diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -3586,209 +3552,184 @@ static void test_system_time_source(void)
     IMFClock_Release(clock2);
 
     hr = IMFClock_GetClockCharacteristics(clock, &value);
-    ok(hr == S_OK, "Failed to get clock flags, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get clock flags, hr %#x.\n", hr);
     ok(value == (MFCLOCK_CHARACTERISTICS_FLAG_FREQUENCY_10MHZ | MFCLOCK_CHARACTERISTICS_FLAG_ALWAYS_RUNNING |
-            MFCLOCK_CHARACTERISTICS_FLAG_IS_SYSTEM_CLOCK), "Unexpected flags %#lx.\n", value);
+            MFCLOCK_CHARACTERISTICS_FLAG_IS_SYSTEM_CLOCK), "Unexpected flags %#x.\n", value);
 
     hr = IMFClock_GetContinuityKey(clock, &value);
-    ok(hr == S_OK, "Failed to get clock key, hr %#lx.\n", hr);
-    ok(value == 0, "Unexpected key value %lu.\n", value);
+    ok(hr == S_OK, "Failed to get clock key, hr %#x.\n", hr);
+    ok(value == 0, "Unexpected key value %u.\n", value);
 
     hr = IMFClock_GetState(clock, 0, &state);
-    ok(hr == S_OK, "Failed to get clock state, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get clock state, hr %#x.\n", hr);
     ok(state == MFCLOCK_STATE_RUNNING, "Unexpected state %d.\n", state);
 
     hr = IMFClock_GetProperties(clock, &props);
-    ok(hr == S_OK, "Failed to get clock properties, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get clock properties, hr %#x.\n", hr);
 
     ok(props.qwCorrelationRate == 0, "Unexpected correlation rate %s.\n",
             wine_dbgstr_longlong(props.qwCorrelationRate));
     ok(IsEqualGUID(&props.guidClockId, &GUID_NULL), "Unexpected clock id %s.\n", wine_dbgstr_guid(&props.guidClockId));
-    ok(props.dwClockFlags == 0, "Unexpected flags %#lx.\n", props.dwClockFlags);
+    ok(props.dwClockFlags == 0, "Unexpected flags %#x.\n", props.dwClockFlags);
     ok(props.qwClockFrequency == MFCLOCK_FREQUENCY_HNS, "Unexpected frequency %s.\n",
             wine_dbgstr_longlong(props.qwClockFrequency));
-    ok(props.dwClockTolerance == MFCLOCK_TOLERANCE_UNKNOWN, "Unexpected tolerance %lu.\n", props.dwClockTolerance);
-    ok(props.dwClockJitter == 1, "Unexpected jitter %lu.\n", props.dwClockJitter);
+    ok(props.dwClockTolerance == MFCLOCK_TOLERANCE_UNKNOWN, "Unexpected tolerance %u.\n", props.dwClockTolerance);
+    ok(props.dwClockJitter == 1, "Unexpected jitter %u.\n", props.dwClockJitter);
 
     hr = IMFClock_GetCorrelatedTime(clock, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get clock time, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get clock time, hr %#x.\n", hr);
     ok(time == systime, "Unexpected time %s, %s.\n", wine_dbgstr_longlong(time), wine_dbgstr_longlong(systime));
 
     IMFClock_Release(clock);
 
     /* Test returned time regarding specified rate and offset.  */
     hr = IMFPresentationTimeSource_QueryInterface(time_source, &IID_IMFClockStateSink, (void **)&statesink);
-    ok(hr == S_OK, "Failed to get sink interface, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get sink interface, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetState(time_source, 0, &state);
-    ok(hr == S_OK, "Failed to get state %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get state %#x.\n", hr);
     ok(state == MFCLOCK_STATE_STOPPED, "Unexpected state %d.\n", state);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 0, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time), wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 0, 0);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time), wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 0, 1);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime + 1, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockPause(statesink, 2);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 3, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time), wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockRestart(statesink, 5);
-    ok(hr == S_OK, "Failed to restart source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to restart source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime - 2, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockPause(statesink, 0);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == -2, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStop(statesink, 123);
-    ok(hr == S_OK, "Failed to stop source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to stop source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 0, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time), wine_dbgstr_longlong(systime));
 
     /* Increased rate. */
     hr = IMFClockStateSink_OnClockSetRate(statesink, 0, 2.0f);
-    ok(hr == S_OK, "Failed to set rate, hr %#lx.\n", hr);
-
-    hr = IMFClockStateSink_OnClockStart(statesink, 0, 0);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
-
-    hr = IMFClockStateSink_OnClockSetRate(statesink, 5, 2.0f);
-    ok(hr == S_OK, "Failed to set rate, hr %#lx.\n", hr);
-
-    hr = IMFClockStateSink_OnClockPause(statesink, 6);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
-
-    hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
-    ok(time == 12 && !!systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
-            wine_dbgstr_longlong(systime));
-
-    hr = IMFClockStateSink_OnClockRestart(statesink, 7);
-    ok(hr == S_OK, "Failed to restart source, hr %#lx.\n", hr);
-
-    hr = IMFClockStateSink_OnClockPause(statesink, 8);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
-
-    hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
-    ok(time == 14 && !!systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
-            wine_dbgstr_longlong(systime));
+    ok(hr == S_OK, "Failed to set rate, hr %#x.\n", hr);
 
     hr = IMFClockStateSink_OnClockStart(statesink, 0, 0);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 2 * systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(2 * systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 0, 10);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 2 * systime + 10, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(2 * systime));
 
     hr = IMFClockStateSink_OnClockPause(statesink, 2);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 10 + 2 * 2, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockRestart(statesink, 5);
-    ok(hr == S_OK, "Failed to restart source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to restart source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 2 * systime + 14 - 5 * 2, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockPause(statesink, 0);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 4, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStop(statesink, 123);
-    ok(hr == S_OK, "Failed to stop source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to stop source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 0, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time), wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 10, 0);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 2 * systime - 2 * 10, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(2 * systime));
 
     hr = IMFClockStateSink_OnClockStop(statesink, 123);
-    ok(hr == S_OK, "Failed to stop source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to stop source, hr %#x.\n", hr);
 
     hr = IMFClockStateSink_OnClockStart(statesink, 10, 20);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 2 * systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(2 * systime));
 
     hr = IMFClockStateSink_OnClockPause(statesink, 2);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 2 * 2, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockRestart(statesink, 5);
-    ok(hr == S_OK, "Failed to restart source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to restart source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == 2 * systime + 4 - 5 * 2, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockPause(statesink, 0);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == -6, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
@@ -3797,105 +3738,105 @@ static void test_system_time_source(void)
 
     /* PRESENTATION_CURRENT_POSITION */
     hr = MFCreateSystemTimeSource(&time_source);
-    ok(hr == S_OK, "Failed to create time source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create time source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_QueryInterface(time_source, &IID_IMFClockStateSink, (void **)&statesink);
-    ok(hr == S_OK, "Failed to get sink interface, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get sink interface, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(!time && systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     /* INVALID -> RUNNING */
     hr = IMFClockStateSink_OnClockStart(statesink, 10, PRESENTATION_CURRENT_POSITION);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime - 10, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     /* RUNNING -> RUNNING */
     hr = IMFClockStateSink_OnClockStart(statesink, 20, PRESENTATION_CURRENT_POSITION);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime - 10, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 0, PRESENTATION_CURRENT_POSITION);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime - 10, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 0, 0);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 30, PRESENTATION_CURRENT_POSITION);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     /* STOPPED -> RUNNING */
     hr = IMFClockStateSink_OnClockStop(statesink, 567);
-    ok(hr == S_OK, "Failed to stop source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to stop source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(!time && systime != 0, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 30, PRESENTATION_CURRENT_POSITION);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime - 30, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     /* PAUSED -> RUNNING */
     hr = IMFClockStateSink_OnClockPause(statesink, 8);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == (-30 + 8) && systime != 0, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 40, PRESENTATION_CURRENT_POSITION);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime + (-30 + 8 - 40), "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockPause(statesink, 7);
-    ok(hr == S_OK, "Failed to pause source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == (-30 + 8 - 40 + 7) && systime != 0, "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
     hr = IMFClockStateSink_OnClockStart(statesink, 50, 7);
-    ok(hr == S_OK, "Failed to start source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start source, hr %#x.\n", hr);
 
     hr = IMFPresentationTimeSource_GetCorrelatedTime(time_source, 0, &time, &systime);
-    ok(hr == S_OK, "Failed to get time %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get time %#x.\n", hr);
     ok(time == systime + (-50 + 7), "Unexpected time stamp %s, %s.\n", wine_dbgstr_longlong(time),
             wine_dbgstr_longlong(systime));
 
@@ -3913,30 +3854,30 @@ static void test_MFInvokeCallback(void)
     DWORD ret;
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     callback = create_test_callback(NULL);
 
     hr = MFCreateAsyncResult(NULL, &callback->IMFAsyncCallback_iface, NULL, &result);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     data = (MFASYNCRESULT *)result;
     data->hEvent = CreateEventA(NULL, FALSE, FALSE, NULL);
     ok(data->hEvent != NULL, "Failed to create event.\n");
 
     hr = MFInvokeCallback(result);
-    ok(hr == S_OK, "Failed to invoke, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to invoke, hr %#x.\n", hr);
 
     ret = WaitForSingleObject(data->hEvent, 100);
-    ok(ret == WAIT_TIMEOUT, "Expected timeout, ret %#lx.\n", ret);
+    ok(ret == WAIT_TIMEOUT, "Expected timeout, ret %#x.\n", ret);
 
     refcount = IMFAsyncResult_Release(result);
-    ok(!refcount, "Unexpected refcount %lu.\n", refcount);
+    ok(!refcount, "Unexpected refcount %u.\n", refcount);
 
     IMFAsyncCallback_Release(&callback->IMFAsyncCallback_iface);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 }
 
 static void test_stream_descriptor(void)
@@ -3950,41 +3891,41 @@ static void test_stream_descriptor(void)
     HRESULT hr;
 
     hr = MFCreateStreamDescriptor(123, 0, NULL, &stream_desc);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(media_types); ++i)
     {
         hr = MFCreateMediaType(&media_types[i]);
-        ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
     }
 
     hr = MFCreateStreamDescriptor(123, 0, media_types, &stream_desc);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateStreamDescriptor(123, ARRAY_SIZE(media_types), media_types, &stream_desc);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFStreamDescriptor_GetStreamIdentifier(stream_desc, &id);
-    ok(hr == S_OK, "Failed to get descriptor id, hr %#lx.\n", hr);
-    ok(id == 123, "Unexpected id %#lx.\n", id);
+    ok(hr == S_OK, "Failed to get descriptor id, hr %#x.\n", hr);
+    ok(id == 123, "Unexpected id %#x.\n", id);
 
     hr = IMFStreamDescriptor_GetMediaTypeHandler(stream_desc, &type_handler);
-    ok(hr == S_OK, "Failed to get type handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get type handler, hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_GetMediaTypeCount(type_handler, &count);
-    ok(hr == S_OK, "Failed to get type count, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get type count, hr %#x.\n", hr);
     ok(count == ARRAY_SIZE(media_types), "Unexpected type count.\n");
 
     hr = IMFMediaTypeHandler_GetCurrentMediaType(type_handler, &media_type);
-    ok(hr == MF_E_NOT_INITIALIZED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_NOT_INITIALIZED, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_GetMajorType(type_handler, &major_type);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(media_types); ++i)
     {
         hr = IMFMediaTypeHandler_GetMediaTypeByIndex(type_handler, i, &media_type);
-        ok(hr == S_OK, "Failed to get media type, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get media type, hr %#x.\n", hr);
         ok(media_type == media_types[i], "Unexpected object.\n");
 
         if (SUCCEEDED(hr))
@@ -3992,88 +3933,88 @@ static void test_stream_descriptor(void)
     }
 
     hr = IMFMediaTypeHandler_GetMediaTypeByIndex(type_handler, 2, &media_type);
-    ok(hr == MF_E_NO_MORE_TYPES, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_NO_MORE_TYPES, "Unexpected hr %#x.\n", hr);
 
     /* IsMediaTypeSupported() */
 
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, NULL, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, NULL, &media_type2);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateMediaType(&media_type);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     hr = MFCreateMediaType(&media_type3);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type, &media_type2);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     hr = IMFMediaTypeHandler_SetCurrentMediaType(type_handler, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_SetCurrentMediaType(type_handler, media_type);
-    ok(hr == S_OK, "Failed to set current type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current type, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type, &media_type2);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     hr = IMFMediaTypeHandler_GetMajorType(type_handler, &major_type);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(media_type, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_GetMajorType(type_handler, &major_type);
-    ok(hr == S_OK, "Failed to get major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get major type, hr %#x.\n", hr);
     ok(IsEqualGUID(&major_type, &MFMediaType_Audio), "Unexpected major type.\n");
 
     /* Mismatching major types. */
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     /* Subtype missing. */
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(media_type, &MF_MT_SUBTYPE, &MFAudioFormat_PCM);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_SUBTYPE, &MFAudioFormat_PCM);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     /* Mismatching subtype. */
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_SUBTYPE, &MFAudioFormat_MP3);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     hr = IMFMediaTypeHandler_GetMediaTypeCount(type_handler, &count);
-    ok(hr == S_OK, "Failed to get type count, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get type count, hr %#x.\n", hr);
     ok(count == ARRAY_SIZE(media_types), "Unexpected type count.\n");
 
     IMFMediaTypeHandler_Release(type_handler);
